Package org.apache.activemq.artemis.journal

## Class ActiveMQJournalBundle_$bundle

- java.lang.Object
- - org.apache.activemq.artemis.journal.ActiveMQJournalBundle_$bundle

- All Implemented Interfaces:
    `java.io.Serializable`, `ActiveMQJournalBundle`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2022-04-27T20:08:26-0400")
      public class ActiveMQJournalBundle_$bundle
      extends java.lang.Object
      implements ActiveMQJournalBundle, java.io.Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJournalBundle_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.apache.activemq.artemis.journal.ActiveMQJournalBundle

      `BUNDLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ActiveMQJournalBundle_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `fileNotOpened()` |
    `protected java.lang.String` | `fileNotOpened$str()` |
    `protected java.util.Locale` | `getLoggingLocale()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `ioRenameFileError​(java.lang.String name, java.lang.String newFileName)` |
    `protected java.lang.String` | `ioRenameFileError$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `journalDifferentVersion()` |
    `protected java.lang.String` | `journalDifferentVersion$str()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `journalFileMisMatch()` |
    `protected java.lang.String` | `journalFileMisMatch$str()` |
    `protected java.lang.Object` | `readResolve()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `recordLargerThanStoreMax​(long recordSize, long maxRecordSize)` |
    `protected java.lang.String` | `recordLargerThanStoreMax$str()` |
    `java.lang.String` | `unableToOpenFile()` |
    `protected java.lang.String` | `unableToOpenFile$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ActiveMQJournalBundle_$bundle INSTANCE

  - ### Constructor Detail

    - #### ActiveMQJournalBundle_$bundle

          protected ActiveMQJournalBundle_$bundle()

  - ### Method Detail

    - #### readResolve

          protected java.lang.Object readResolve()

    - #### getLoggingLocale

          protected java.util.Locale getLoggingLocale()

    - #### ioRenameFileError$str

          protected java.lang.String ioRenameFileError$str()

    - #### ioRenameFileError

          public final org.apache.activemq.artemis.api.core.ActiveMQIOErrorException ioRenameFileError​(java.lang.String name,
                                                                                                       java.lang.String newFileName)

      Specified by:
        `ioRenameFileError` in interface `ActiveMQJournalBundle`

    - #### journalDifferentVersion$str

          protected java.lang.String journalDifferentVersion$str()

    - #### journalDifferentVersion

          public final org.apache.activemq.artemis.api.core.ActiveMQIOErrorException journalDifferentVersion()

      Specified by:
        `journalDifferentVersion` in interface `ActiveMQJournalBundle`

    - #### journalFileMisMatch$str

          protected java.lang.String journalFileMisMatch$str()

    - #### journalFileMisMatch

          public final org.apache.activemq.artemis.api.core.ActiveMQIOErrorException journalFileMisMatch()

      Specified by:
        `journalFileMisMatch` in interface `ActiveMQJournalBundle`

    - #### fileNotOpened$str

          protected java.lang.String fileNotOpened$str()

    - #### fileNotOpened

          public final org.apache.activemq.artemis.api.core.ActiveMQIOErrorException fileNotOpened()

      Specified by:
        `fileNotOpened` in interface `ActiveMQJournalBundle`

    - #### unableToOpenFile$str

          protected java.lang.String unableToOpenFile$str()

    - #### unableToOpenFile

          public final java.lang.String unableToOpenFile()

      Specified by:
        `unableToOpenFile` in interface `ActiveMQJournalBundle`

    - #### recordLargerThanStoreMax$str

          protected java.lang.String recordLargerThanStoreMax$str()

    - #### recordLargerThanStoreMax

          public final org.apache.activemq.artemis.api.core.ActiveMQIOErrorException recordLargerThanStoreMax​(long recordSize,
                                                                                                              long maxRecordSize)

      Specified by:
        `recordLargerThanStoreMax` in interface `ActiveMQJournalBundle`